## ListSSOLogins **post** `/gitpod.v1.AccountService/ListSSOLogins` ListSSOLogins ### Query Parameters - `token: optional string` - `pageSize: optional number` ### Body Parameters - `email: string` email is the email the user wants to login with - `pagination: optional object { token, pageSize }` pagination contains the pagination options for listing SSO logins - `token: optional string` Token for the next set of results that was returned as next_token of a PaginationResponse - `pageSize: optional number` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. - `returnTo: optional string` return_to is the URL the user will be redirected to after login ### Returns - `pagination: object { nextToken }` - `nextToken: optional string` Token passed for retrieving the next set of results. Empty if there are no more results - `logins: optional array of object { displayName, loginUrl }` - `displayName: string` provider is the provider used by this login method, e.g. "github", "google", "custom" - `loginUrl: string` login_url is the URL to redirect the user to for SSO login ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.AccountService/ListSSOLogins \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "email": "dev@stainless.com" }' ``` #### Response ```json { "pagination": { "nextToken": "nextToken" }, "logins": [ { "displayName": "displayName", "loginUrl": "loginUrl" } ] } ```